name: unicblue/image-gallery-slideshow
typeName: unicblue_imagegalleryslideshow
group: hks
prefixFields: true
prefixType: full
fields:
  - identifier: headers
    type: Palette
    fields:
      - identifier: header
        useExistingField: true
      - identifier: header_layout
        useExistingField: true
      - identifier: header_position
        useExistingField: true
  - identifier: image
    useExistingField: true
  - identifier: tab_layout
    type: Tab
    label: 'Layout'
  - identifier: tx_hks_container
    type: Select
    useExistingField: true
  - identifier: tx_hks_top_accent
    type: Select
    useExistingField: true
  - identifier: options_palette
    type: Palette
    fields:
      - identifier: transition_type
        type: Select
        translatable: false
        renderType: selectSingle
        default: slide
        items:
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/image-gallery-slideshow/language/labels.xlf:transition_type.items.slide
            value: slide
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/image-gallery-slideshow/language/labels.xlf:transition_type.items.fade
            value: fade
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/image-gallery-slideshow/language/labels.xlf:transition_type.items.loop
            value: loop
      - identifier: autoplay
        type: Checkbox
        translatable: false
        default: 0
      - identifier: autoplay_interval
        type: Number
        translatable: false
        default: 5000
        range:
          lower: 1000
          upper: 20000
      - identifier: speed
        type: Number
        translatable: false
        default: 600
      - identifier: show_arrows
        type: Checkbox
        translatable: false
        default: 1
      - identifier: navigation_in_image
        type: Checkbox
        translatable: false
        default: 0
      - identifier: show_caption
        type: Checkbox
        translatable: false
        default: 0
      - identifier: tx_hks_theme
        type: Select
        useExistingField: true
  - identifier: spacing_palette
    type: Palette
    fields:
      - identifier: tx_hks_spacing_top
        type: Select
        useExistingField: true
      - identifier: tx_hks_spacing_bottom
        type: Select
        useExistingField: true
